globus_gsi_proxy_activation(3)

NAME
globus_gsi_proxy_activation - Activation

 - Activation.

SYNOPSIS

  Macros

#define GLOBUS_GSI_PROXY_MODULE
Module descriptor.

Detailed Description

Activation.

Globus GSI Proxy uses standard Globus module activation and deactivation. Before any Globus GSI Proxy functions are called, the following function must be called:

globus_module_activate(GLOBUS_GSI_PROXY_MODULE)

This function returns GLOBUS_SUCCESS if Globus GSI Proxy was successfully initialized, and you are therefore allowed to subsequently call Globus GSI Proxy functions. Otherwise, an error code is returned, and Globus GSI Proxy functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus GSI Proxy, the following function must be called:

globus_module_deactivate(GLOBUS_GSI_PROXY_MODULE)

This function should be called once for each time Globus GSI Proxy was activated.

Author

Generated automatically by Doxygen for globus_gsi_proxy_core from the source code.